/*
 * MacSamba
 * <http://ghostwood.org/software/macSamba.html>
 * Copyright 2006-2015 Nick Howes <nick@ghostwood.org>
 * tabs every 4 spaces
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

struct usbStruct {
	IOUSBInterfaceInterface190** interface;
	UInt8 pipeIn;
	UInt8 pipeOut;
};

typedef struct usbStruct usb_t;


#define ATMEL_VID 0x03eb		//1003
#define ATMEL_ARM_PID 0x6124	//24868
#define USB_ADDR_ANY 0
#define USB_LOC_ANY 0
#define USB_DEV_CONFIG 1

#define SAMBA_PROMPT 0x3E //'>'


extern usb_t getUSB();

extern void writeUSB (usb_t usb, char *buffer, UInt32 n);

extern int readUSB(usb_t usb, char* rslt, int size);

extern void readCountUSB(usb_t usb, int count);
